<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\AsrsItemValidation;
use App\Models\User;

class AsrsItemValidationPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any AsrsItemValidation');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, AsrsItemValidation $asrsitemvalidation): bool
    {
        return $user->checkPermissionTo('view AsrsItemValidation');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create AsrsItemValidation');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, AsrsItemValidation $asrsitemvalidation): bool
    {
        return $user->checkPermissionTo('update AsrsItemValidation');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, AsrsItemValidation $asrsitemvalidation): bool
    {
        return $user->checkPermissionTo('delete AsrsItemValidation');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any AsrsItemValidation');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, AsrsItemValidation $asrsitemvalidation): bool
    {
        return $user->checkPermissionTo('restore AsrsItemValidation');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any AsrsItemValidation');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, AsrsItemValidation $asrsitemvalidation): bool
    {
        return $user->checkPermissionTo('replicate AsrsItemValidation');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder AsrsItemValidation');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, AsrsItemValidation $asrsitemvalidation): bool
    {
        return $user->checkPermissionTo('force-delete AsrsItemValidation');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any AsrsItemValidation');
    }
}
